[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TCollection.FreeItem

Destroy a non-nil item.

## Declaration

Source position: objects.pp line 424

`procedure TCollection.FreeItem(`
`Item: Pointer`
`); virtual;`

## Description

FreeItem calls the destructor of Item if it is not nil.

Remark: | This function is used internally by the TCollection object, and should not be called directly.

## Errors

None.

## See also

TCollection.Free |  | Free item from collection, calling it's destructor.
TCollection.AtFree |  | Free an item at the indicates position, calling it's destructor.